summaryrefslogtreecommitdiff
path: root/qa/1006
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/1006
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/1006')
-rwxr-xr-xqa/100636
1 files changed, 36 insertions, 0 deletions
diff --git a/qa/1006 b/qa/1006
new file mode 100755
index 0000000..93234fa
--- /dev/null
+++ b/qa/1006
@@ -0,0 +1,36 @@
+#!/bin/sh
+# PCP QA Test No. 1006
+# Check units compatibility in view loading
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+. ./common.qt
+
+_check_display
+which pmchart >/dev/null 2>&1 || _notrun "pmchart not installed"
+
+status=0 # success is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+PCP_STDERR=$tmp.post
+for config in views/006-01 views/006-02 views/006-03 views/006-04 views/006-05
+do
+ echo "=== $config ==="
+ cat $config
+ rm -f $tmp.post
+ pmchart -CC -D appl0 -c $config >$tmp.out 2>$tmp.err
+ echo "exit=$?"
+ echo "--- out ---"
+ cat $tmp.out
+ echo "--- err ---"
+ _filter_console <$tmp.err | _filter_views
+ echo "--- post ---"
+ if [ -f $tmp.post ]
+ then
+ _filter_post <$tmp.post
+ fi
+done
+
+# success, all done
+exit